I will open this post with: Never wait to updating the latest PHP version of your WordPress web. If a warning appears on the dashboard, it should be updated immediately, don’t be like me hahaha. So about 2 weeks ago I got a warning for the latest version of the php update. Then, I just ignored it, maybe because this blog still look good.

Well, last thursday there was a very significant decrease in traffic and an inaccessible admin page. The point is that my server is temporarily “unavailable”. Enough to make me panic anyway hehehe. The first guess is this caused by older php version that I still use and it turns out to be true. To update to the latest php version, we must do it through our hosting server. So please login first to your cpanel. By the way, I use hosting from Namecheap.

BackUp WordPress Blog with Softaculous:

To be honest there is no need to backup the wordpress web before updating the php version. But if you want to feel safer, there is no harm to do it. For backups I usually use Softaculous, an application installer that is available in-built from your hosting provider. Look for Softaculous Apps Installer and choose WordPress. If you have blogspot/blogger blog, here’s how to backup the content.

In the Current Installations section, click the backup icon.

Later the process page (loading) for making backup files will appear. When finish, click the Backups and Restore icon.

Now you can download your wordpress web backup file by clicking the download icon.

Return to the cPanel page and look for the Software menu. Select Select PHP Version.

In the dropdown menu, select the most recent php version. From the image below, you can see I chose version 7.3. Don’t forget to click Set as current. If you don’t understand the choices in the boxes, don’t check it. Just leave it like that. If there is a save button at the bottom, just click on it.

Update the Latest PHP Version For WordPress Site

This latest php version will be applied to your server’s account. So if your server has 2 domains/web, it will affect both, not just one. You can immediately check the web that was previously experiencing interference. Hopefully the problem is only the php version hehehe… Good luck!.

Written by svnserendipity (admin)